跳转到主要内容
资源中心/硬件设施/物理机相关接口
GETPhysical Network Operations起始版本 5.0.0同步需要认证

获取物理网口LLDP信息

获取物理网口LLDP信息

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • interfaceUuidString必填

    物理nic端口UUID。

查询参数

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • lldpHostNetworkInterfaceLldpRefInventory必填

    详情参考lldp

    • lldpUuidString必填

      暂无描述。

    • chassisIdString必填

      机箱标识

    • timeToLiveInteger必填

      生存时间

    • managementAddressString必填

      管理地址

    • systemNameString必填

      系统名称

    • systemDescriptionString必填

      系统描述

    • systemCapabilitiesString必填

      系统能力

    • portIdString必填

      端口标识

    • portDescriptionString必填

      端口描述

    • vlanIdInteger必填

      VLAN标识

    • aggregationPortIdLong必填

      聚合端口标识

    • mtuInteger必填

      最大传输单元

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/hostNetworkInterface/lldp/{interfaceUuid}/info

/zstack/v1/hostNetworkInterface/lldp/{interfaceUuid}/info

操作 ID

GetHostNetworkInterfaceLldp

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/hostNetworkInterface/lldp/{interfaceUuid}/info?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "lldp": { "lldpUuid": "6b7c1267888a38779eac7694315855f0", "chassisId": "mac 00:1e:08:1d:05:ba", "timeToLive": 120, "managementAddress": "172.25.2.4", "systemName": "BM-MN-3", "systemDescription": " CentecOS software, E530, Version 7.4.7 Copyright (C) 2004-2021 Centec Networks Inc. All Rights Reserved.", "systemCapabilities": "Bridge, on Router, on", "portId": "ifname eth-0-5", "portDescription": "eth-0-4", "vlanId": 3999, "aggregationPortId": 4294965248, "mtu": 9600 } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史